<!DOCTYPE html>
<html>
<body>

<h2>Client 1 - POLLING</h2>

<p id="msg">New message appears here...</p>



<script>
function checkNewMessage() {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', '/1/p_my_message');
    xhr.onload = function() {
        if (this.status == 200) {
            document.getElementById('msg').innerText = this.response;
        }
    };

    xhr.send();
}
setInterval(checkNewMessage, 10000);
</script>




<p>send new message: <input id="newmsgtxt" type="text"/></p>
<button type="button" onclick="sendMessage()">Send</button>
<p>last sent message: <output id="lastmsgtxt">...</output></p>


<script>
function sendMessage() {


    var xhr = new XMLHttpRequest();
    xhr.open('POST', '/1/p_message');
    xhr.onload = function() {
        if (this.status == 200) {
            document.getElementById('lastmsgtxt').innerText = this.response;
        }
    };


    xhr.send(document.getElementById('newmsgtxt').value);

}
</script>


<p><A HREF = "http://localhost:8080/api/1/index">Index page</A></p>

</body>
</html>
